## org.exist.xmlrpc
Class RpcServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.exist.xmlrpc.RpcServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class RpcServlet
extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

Constructor Summary
`RpcServlet()`

Method Summary
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handle XML-RPC requests
`void` `init(javax.servlet.ServletConfig config)` Create XML-RPC handler

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RpcServlet

    public RpcServlet()

Method Detail

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Handle XML-RPC requests

  Parameters:
    `request` - Description of the Parameter
    `response` - Description of the Parameter
  Throws:
    `javax.servlet.ServletException` - Description of the Exception
    `java.io.IOException` - Description of the Exception

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Create XML-RPC handler

  Parameters:
    `config` - Description of the Parameter
  Throws:
    `javax.servlet.ServletException` - Description of the Exception

Copyright (C) Wolfgang Meier. All rights reserved.